---
layout: markdown_page
title: "Product Stage Vision - Create"
description: "Discover GitLab’s roadmap for creation features, empowering developers with advanced tools for seamless software development and collaboration."
---

## On this page
{:.no_toc}

- TOC
{:toc}

Content last reviewed 2023-02-15

<%= devops_diagram(["Create"]) %>

## Stage Overview

<%= partial("direction/create/templates/overview") %>

### Groups

The Create stage is made up of one DevOps stage, Create, and five groups including:

* Code Creation
* Code Review
* Editor Extensions
* Remote Development
* Source Code

### Resourcing and Investment

The existing team members for the Create stage can be found in the links below:

* [Code Creation](/handbook/engineering/development/dev/create/code-creation/)
* [Code Review](/handbook/engineering/development/dev/create/code-review/)
   * [BE](/handbook/engineering/development/dev/create/code-review/backend/)
   * [FE](/handbook/engineering/development/dev/create/code-review/frontend/)
* [Editor Extensions](/handbook/engineering/development/dev/create/editor-extensions/)
* [Remote Development](/handbook/engineering/development/dev/create/remote-development/)
* Source Code
   * [BE](/handbook/engineering/development/dev/create/source-code-be/)
   * [FE](/handbook/engineering/development/dev/create/create-source-code-fe)

### FY24 Video Walkthrough

<iframe width="560" height="315" src="https://www.youtube.com/embed/Le2QBn21MpA" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

## 3 Year Stage Themes
<%= partial("direction/create/templates/themes") %>

## 3 Year Strategy

<%= partial("direction/create/templates/strategy") %>

## 1 Year Plan

<%= partial("direction/create/templates/plan") %>

## Target Audience

GitLab identifies who our DevSecOps application is built for utilizing the following categorization. We list our view of who we will support when in priority order.
* 🟩 - Targeted with strong support
* 🟨 - Targeted but incomplete support
* ⬜️ - Not targeted but might find value

### Today

1. 🟩 [Software Developers](/handbook/product/personas/#sasha-software-developer)
1. 🟩 [Development Team Leads](/handbook/product/personas/#delaney-development-team-lead)
1. 🟩 [Software Engineer in Test](/handbook/product/personas/#simone-software-engineer-in-test)
1. 🟩 [DevOps Engineers](/handbook/product/personas/#devon-devops-engineer)
1. 🟨 [Application Development Director](/handbook/product/personas/#dakota-application-development-director)
1. 🟨 [System Administrator](/handbook/product/personas/#sidney-systems-administrator)
1. 🟨 [Security Operations Engineers](/handbook/product/personas/#alex-security-operations-engineer)
1. ⬜️ [Application Ops](/handbook/product/personas/#allison-application-ops)
1. ⬜️ [Platform Engineer](/handbook/product/personas/#priyanka-platform-engineer)
1. ⬜️ [Compliance Managers](/handbook/product/personas/#cameron-compliance-manager)

### Medium Term (1-2 years)

1. 🟩 [Software Developers](/handbook/product/personas/#sasha-software-developer)
1. 🟩 [Development Team Leads](/handbook/product/personas/#delaney-development-team-lead)
1. 🟩 [Software Engineer in Test](/handbook/product/personas/#simone-software-engineer-in-test)
1. 🟩 [DevOps Engineers](/handbook/product/personas/#devon-devops-engineer)
1. 🟩 [Application Development Director](/handbook/product/personas/#dakota-application-development-director)
1. 🟩 [System Administrator](/handbook/product/personas/#sidney-systems-administrator)
1. 🟨 [Security Operations Engineers](/handbook/product/personas/#alex-security-operations-engineer)
1. 🟨 [Application Ops](/handbook/product/personas/#allison-application-ops)
1. 🟨 [Platform Engineer](/handbook/product/personas/#priyanka-platform-engineer)
1. 🟨 [Compliance Managers](/handbook/product/personas/#cameron-compliance-manager)

## Categories in Create

<%= partial("direction/categories-content", :locals => { :stageKey => "create" }) %>

## Jobs to be Done

<%= partial("direction/jtbd-list", locals: { stage_key: "Create" }) %>
<%= partial("direction/jtbd-list", locals: { stage_key: "Source_Code_Management" }) %>

## Pricing

<%= partial("direction/create/templates/pricing") %>

## Upcoming Releases

<%= direction["all"]["all"] %>

<%= partial("direction/other", :locals => { :stage => "create" }) %>

<p align="center">
    <i><br>
    Last Reviewed: 2021-03-08<br>
    Last Updated: 2021-03-08
    </i>
</p>
